Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class MsgType_1_1Helper

    java.lang.Object
      |
      +--org.omg.GIOP.MsgType_1_1Helper

public class MsgType_1_1Helper
extends java.lang.Object

Helper class for : MsgType_1_1

Author:
  OpenORB Compiler

Constructor Summary
`MsgType_1_1Helper()`

Method Summary
`static MsgType_1_1` | `extract(Any a)` Extract MsgType_1_1 from an any
`static java.lang.String` | `id()` Return the MsgType_1_1 IDL ID
`static void` | `insert(Any a, MsgType_1_1 t)` Insert MsgType_1_1 into an any
`static MsgType_1_1` | `read(InputStream istream)` Read MsgType_1_1 from a marshalled stream
`static TypeCode` | `type()` Return the MsgType_1_1 TypeCode
`static void` | `write(OutputStream ostream, MsgType_1_1 value)` Write MsgType_1_1 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgType_1_1Helper

    public MsgType_1_1Helper()

Method Detail

### insert

    public static void insert(Any a,
                              MsgType_1_1 t)

  Insert MsgType_1_1 into an any
  Parameters:
    `a` - an any
    `t` - MsgType_1_1 value

### extract

    public static MsgType_1_1 extract(Any a)

  Extract MsgType_1_1 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted MsgType_1_1 value

### type

    public static TypeCode type()

  Return the MsgType_1_1 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the MsgType_1_1 IDL ID
  Returns:
    an ID

### read

    public static MsgType_1_1 read(InputStream istream)

  Read MsgType_1_1 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed MsgType_1_1 value

### write

    public static void write(OutputStream ostream,
                             MsgType_1_1 value)

  Write MsgType_1_1 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - MsgType_1_1 value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD